%global tag 12056187e7701512dd2d6f0908e1264419045d0d

Name:           cbi-plugins
Version:        1.0.1
Release:        0.1.git120561%{?dist}
Summary:        A set of helpers for Eclipse CBI

Group:          Development/Libraries
License:        EPL
URL:            http://git.eclipse.org/c/cbi/org.eclipse.cbi.maven.plugins.git/
Source0:        http://git.eclipse.org/c/cbi/org.eclipse.cbi.maven.plugins.git/snapshot/org.eclipse.cbi.maven.plugins-%{tag}.tar.bz2
BuildArch:      noarch

BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	xmvn
Requires:		tycho
Requires:		tycho-extras

%description
A set of helpers for Eclipse CBI.


%prep
%setup -q -n org.eclipse.cbi.maven.plugins-%{tag}

%build
mvn-rpmbuild install

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 eclipse-cbi-plugin/target/eclipse-cbi-plugin-*.jar \
        %{buildroot}%{_javadir}/eclipse-cbi-plugin.jar

install -m 644 eclipse-jarsigner-plugin/target/eclipse-jarsigner-plugin-*.jar \
        %{buildroot}%{_javadir}/eclipse-jarsigner-plugin.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}

install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-cbi-plugins-parent.pom
%add_maven_depmap JPP-cbi-plugins-parent.pom

install -pm 644 eclipse-cbi-plugin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-eclipse-cbi-plugin.pom
%add_maven_depmap JPP-eclipse-cbi-plugin.pom eclipse-cbi-plugin.jar

install -pm 644 eclipse-jarsigner-plugin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-eclipse-jarsigner-plugin.pom
%add_maven_depmap JPP-eclipse-jarsigner-plugin.pom eclipse-jarsigner-plugin.jar


%files
%{_javadir}/eclipse-cbi-plugin.jar
%{_javadir}/eclipse-jarsigner-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Thu Feb 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.1.git120561
- Initial contribution.
